Set fso = CreateObject("Scripting.FileSystemObject") 
strFolder = fso.GetParentFolderName(wscript.ScriptFullName) 

strFullPath		= strFolder

'-------------------------------------------------------------------------
' Converts all pages in the PDF file to individual JPG files
'-------------------------------------------------------------------------
Dim oTest, strInputFileName, iPageCount, iPageWidth, iPageHeight, result

Set oTest = CreateObject("PDF2TIFF.CPDF2TIFF")
oTest.asp_PDFToImageSetCode("XXXXXXXXXXXXXXXXXXXX")

strInputFileName = (strFullPath & "/example3.pdf")

iPageCount = oTest.asp_PDFToImageGetPageCount(strInputFileName)
iPageWidth = oTest.asp_PDFToImageGetPageWidth(strInputFileName, 1)
iPageHeight = oTest.asp_PDFToImageGetPageHeight(strInputFileName, 1)

' Small versions/JPGs
'		-------------------------------------------
ResizedX = 420
ResizedY = (ResizedX / iPageWidth) * iPageHeight

'	Version 1: "asp_PDFToImageConverter2Ex" - Result looks good - but pages 10 and 11 in the PDF-file can not be converted! Error Occours!
'	**This is the version** we need to be able to convert all pages - including 10 and 11 in the previously sent PDF file!
oTest.asp_PDFToImageConverter2Ex strInputFileName, (strFullPath & "/sm_page_Converter2Ex.jpg"), "", "", 1, Int(ResizedX), Int(ResizedY), 24, 7, 80, false, false, -1, -1

'	Version 2: "asp_PDFToImageConverterEx" - Result looks awful, all pages can be converted, but the result and the handling of fonts is very messed up and result is useless.
'oTest.asp_PDFToImageConverterEx strInputFileName, (strFullPath & "/sm_page_ConverterEx.jpg"), "", "", 1, Int(ResizedX), Int(ResizedY), 24, 7, 80, false, false, 1, 1

'	Verion 3: "asp_PDFToImageConverter" - This one works fine, but we can only define DPI, and not Pixels which we need to do!
'oTest.asp_PDFToImageConverter strInputFileName, (strFullPath & "/sm_page_Converter.jpg"), "", "", 40, 40, 24, 7, 80, false, false, 1, 1

set oTest = nothing	
